# Asterisk Project : Asterisk 13 Function_SHIFT

Created by wikibot on Aug 08, 2014

# SHIFT()

### Synopsis

Removes and returns the first item off of a variable containing delimited text

### Description

Example:

exten => s,1,Set(array=one,two,three)

exten => s,n,While($["${SET(var=${SHIFT(array)})}" != ""])

exten => s,n,NoOp(var is ${var})

exten => s,n,EndWhile

This would iterate over each value in array, left to right, and would result in NoOp(var is one), NoOp(var is two), and NoOp(var is three) being executed.

### Syntax

    SHIFT(varname[,delimiter])

##### Arguments

- `varname`
- `delimiter`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538